local addon = CreateFrame("Frame", "RememberFrame", UIParent)
local declinedGroups = {}

function addon:LFG_LIST_APPLICATION_STATUS_UPDATED(id, newStatus)
   if (newStatus == "declined") then
      local _,_,name,_,_,_,_,_,_,_,_,_,leaderName = C_LFGList.GetSearchResultInfo(id)
      declinedGroups[name .. "-" .. leaderName] = true
   end
   
end

function addon:setDeclinedIcon(result, name, leaderName)
   if (name == nil or leaderName == nil) then
      return false
   end
   
   local combinedName = name .. "-" .. leaderName
   if (declinedGroups[combinedName] == true) then
      result.Name:SetText("|TInterface\\CHARACTERFRAME\\UI-Player-PlayTimeUnhealthy:24|t" .. name)
      result.Name:SetWidth(180)
   end   
end


addon:SetScript('OnEvent', function(self,event,...)
      self[event](self,...)
end)

addon:RegisterEvent('LFG_LIST_APPLICATION_STATUS_UPDATED')

hooksecurefunc("LFGListSearchEntry_Update", function(result, ...)
      local resultID = result.resultID
      local _,_,name,_,_,_,_,_,_,_,_,_,leaderName = C_LFGList.GetSearchResultInfo(resultID)
      
      addon:setDeclinedIcon(result, name, leaderName)
end)
